Ubuntu

[g41] GPU hung: Failed to submit batchbuffer: Input/output error [lucid]

Reported by Holger Mauermann on 2010-04-05
336
This bug affects 64 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Unassigned
Declined for Maverick by Sebastien Bacher
Lucid
Undecided
Unassigned

Bug Description

Binary package hint: xorg

If I don't use the computer for a while, the monitor goes to standby to save power. When I later come back I get the login screen because the previously running session is crashed. However, this is not reproducible, it seems to happen randomly since upgrading to Lucid.

uname -a:
-------------
Linux core 2.6.32-19-generic #28-Ubuntu SMP Thu Apr 1 10:39:41 UTC 2010 x86_64 GNU/Linux

/var/log/kern.log:
---------------------
Apr 5 10:01:43 core kernel: [37747.500021] [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung
Apr 5 10:01:43 core kernel: [37747.500030] render error detected, EIR: 0x00000000
Apr 5 10:01:43 core kernel: [37747.500044] [drm:i915_do_wait_request] *ERROR* i915_do_wait_request returns -5 (awaiting 4800864 at 4800863)
Apr 5 10:01:44 core kernel: [37748.300016] [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung
Apr 5 10:01:44 core kernel: [37748.300022] render error detected, EIR: 0x00000000
Apr 5 10:01:44 core kernel: [37748.300043] [drm:i915_do_wait_request] *ERROR* i915_do_wait_request returns -5 (awaiting 4800867 at 4800863)

/var/log/Xorg.0.log:
------------------------
Fatal server error:
Failed to submit batchbuffer: Input/output error

Please consult the The X.Org Foundation support
  at http://wiki.x.org
 for help.
Please also check the log file at "/var/log/Xorg.0.log" for additional information.

[lspci]
00:00.0 Host bridge [0600]: Intel Corporation 4 Series Chipset DRAM Controller [8086:2e30] (rev 03)
     Subsystem: Giga-byte Technology Device [1458:5000]
00:02.0 VGA compatible controller [0300]: Intel Corporation 4 Series Chipset Integrated Graphics Controller [8086:2e32] (rev 03)
     Subsystem: Giga-byte Technology Device [1458:d000]

Bryce Harrington (bryce) on 2010-04-05
tags: added: lucid
Bryce Harrington (bryce) on 2010-04-05
affects: xorg (Ubuntu) → xorg-server (Ubuntu)
Bryce Harrington (bryce) wrote :

Hi Holger,

Please attach the output of `lspci -vvnn` and `dmesg`, and attach your /var/log/Xorg.0.log (and maybe Xorg.0.log.old) file from after reproducing this issue. If you're using a custom /etc/X11/xorg.conf please attach that as well.

[This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: crash
tags: added: needs-xorglog
tags: added: needs-lspci-vvnn
Changed in xorg-server (Ubuntu):
status: New → Incomplete
Holger Mauermann (mauermann) wrote :
Holger Mauermann (mauermann) wrote :
Holger Mauermann (mauermann) wrote :
Holger Mauermann (mauermann) wrote :
Bryce Harrington (bryce) on 2010-04-07
summary: - X server crash when monitor goes to standby
+ GPU hung: Failed to submit batchbuffer: Input/output error
affects: xorg-server (Ubuntu) → xserver-xorg-video-intel (Ubuntu)
Changed in xserver-xorg-video-intel (Ubuntu):
importance: Undecided → High
status: Incomplete → Confirmed
Bryce Harrington (bryce) on 2010-04-07
summary: - GPU hung: Failed to submit batchbuffer: Input/output error
+ [g41] GPU hung: Failed to submit batchbuffer: Input/output error
souplin (klage) wrote :

Same problem here, besides the X-Server won't even start
[kernel]
2.6.32-19-generic #28-Ubuntu SMP Wed Mar 31 17:46:20 UTC 2010 i686 GNU/Linux
xorg-server 2:1.7.6-2ubuntu1

[/var/log/kern.log]

[ 608.188048] [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung
[ 608.188061] render error detected, EIR: 0x00000000
[ 608.188125] [drm:i915_do_wait_request] *ERROR* i915_do_wait_request returns -5 (awaiting 2244 at 2238)

[lspci]

00:02.0 VGA compatible controller [0300]: Intel Corporation 82852/855GM Integrated Graphics Device [8086:3582] (rev 02)
 Subsystem: Fujitsu Technology Solutions Device [1734:1033]
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx+
 Latency: 0
 Interrupt: pin A routed to IRQ 11
 Region 0: Memory at e8000000 (32-bit, prefetchable) [size=128M]
 Region 1: Memory at e0000000 (32-bit, non-prefetchable) [size=512K]
 Region 2: I/O ports at 1800 [size=8]
 Capabilities: [d0] Power Management version 1
  Flags: PMEClk- DSI+ D1+ D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
  Status: D0 PME-Enable- DSel=0 DScale=0 PME-
 Kernel driver in use: i915
 Kernel modules: i915

00:02.1 Display controller [0380]: Intel Corporation 82852/855GM Integrated Graphics Device [8086:3582] (rev 02)
 Subsystem: Fujitsu Technology Solutions Device [1734:1033]
 Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Region 0: Memory at f0000000 (32-bit, prefetchable) [size=128M]
 Region 1: Memory at e0080000 (32-bit, non-prefetchable) [size=512K]
 Capabilities: [d0] Power Management version 1
  Flags: PMEClk- DSI+ D1+ D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
  Status: D0 PME-Enable- DSel=0 DScale=0 PME-

John Baptist (jepst79) wrote :

Is this a repeat of bug 507504 ?

Holger Mauermann (mauermann) wrote :

No, it's not a duplicate of 507504.
For me it crashed only when the display switched from screensaver to DPMS. However, after disabling the screensaver it never crashed again.

Neil Davies (neil-davies44) wrote :

Hi,

I am having the same issue on my Toshiba Tecra M5 laptop. The output from my kern.log when this happens is:

May 7 21:30:51 ccc017400 kernel: [41191.508136] [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung
May 7 21:30:51 ccc017400 kernel: [41191.508151] render errMay 7 21:30:51 ccc017400 kernel: [41191.508136] [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung
May 7 21:30:51 ccc017400 kernel: [41191.508151] render error detected, EIR: 0x00000000
May 7 21:30:51 ccc017400 kernel: [41191.508192] [drm:i915_do_wait_request] *ERROR* i915_do_wait_request returns -5 (awaiting 2207294 at 2207291)
May 7 21:30:52 ccc017400 kernel: [41192.724110] wlan0: deauthenticating from 00:1f:33:7a:8c:b2 by local choice (reason=3)
May 7 21:49:44 ccc017400 kernel: Kernel logging (proc) stopped.
May 7 21:50:41 ccc017400 kernel: imklog 4.2.0, log source = /proc/kmsg started.or detected, EIR: 0x00000000
May 7 21:30:51 ccc017400 kernel: [41191.508192] [drm:i915_do_wait_request] *ERROR* i915_do_wait_request returns -5 (awaiting 2207294 at 2207291)
May 7 21:30:52 ccc017400 kernel: [41192.724110] wlan0: deauthenticating from 00:1f:33:7a:8c:b2 by local choice (reason=3)
May 7 21:49:44 ccc017400 kernel: Kernel logging (proc) stopped.
May 7 21:50:41 ccc017400 kernel: imklog 4.2.0, log source = /proc/kmsg started.

My output from lspci -vvnn:

00:02.1 Display controller [0380]: Intel Corporation Mobile 945GM/GMS/GME, 943/940GML Express Integrated Graphics Controller [8086:27a6] (rev 03)
 Subsystem: Toshiba America Info Systems Device [1179:0004]
 Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Region 0: Memory at 8a200000 (32-bit, non-prefetchable) [disabled] [size=512K]
 Capabilities: <access denied>

The tail end of my Xorg.0.log is:

(II) UXA(0): Driver registered support for the following operations:
(II) solid
(II) copy
(II) composite (RENDER acceleration)
(==) intel(0): Backing store disabled
(==) intel(0): Silken mouse enabled
(II) intel(0): Initializing HW Cursor
(II) intel(0): No memory allocations

Fatal server error:
Failed to submit batchbuffer: Input/output error

Please consult the The X.Org Foundation support
  at http://wiki.x.org
 for help.
Please also check the log file at "/var/log/Xorg.0.log" for additional information.

 ddxSigGiveUp: Closing log

For me this appears to happen when my external monitor goes to standby mode. I will test this on the laptop display.

Florian Reinhard (freinhard) wrote :

Same error output as Comment #11 in the Xorg.0.log for intel 855GM graphics on a fujitsu siemens lifebook s6120. Kern.log looks similar too:

May 14 15:22:18 intel855gm-machine kernel: [ 264.072044] [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung
May 14 15:22:18 intel855gm-machine kernel: [ 264.072065] render error detected, EIR: 0x00000000
May 14 15:22:18 intel855gm-machine kernel: [ 264.072094] [drm:i915_do_wait_request] *ERROR* i915_do_wait_request returns -5 (awaiting 22647 at 22646)

lspci -vv:
00:02.0 VGA compatible controller: Intel Corporation 82852/855GM Integrated Graphics Device (rev 02)
        Subsystem: Fujitsu Limited. Device 120e
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx+
        Latency: 0
        Interrupt: pin A routed to IRQ 11
        Region 0: Memory at d8000000 (32-bit, prefetchable) [size=128M]
        Region 1: Memory at d0000000 (32-bit, non-prefetchable) [size=512K]
        Region 2: I/O ports at 1800 [size=8]
        Capabilities: <access denied>
        Kernel driver in use: i915
        Kernel modules: i915

juliobahar (yahalla-julio) wrote :

Same error hear the occurs during display of one of the screen saver, as I have them set to RANDOM.
Desktop PC running LUCID 2.6.32-22-generic with an Intel 82G33/G31 Express Integrated Graphics Controller

My Xorg.0.log file is ________________________________________________
(II) intel(0): Output VGA1 using initial mode 1920x1080
(II) intel(0): Using default gamma of (1.0, 1.0, 1.0) unless otherwise stated.
(==) intel(0): video overlay key set to 0x101fe
(**) intel(0): Display dimensions: (480, 270) mm
(**) intel(0): DPI set to (101, 101)
(II) Loading sub module "fb"
(II) LoadModule: "fb"
(II) Loading /usr/lib/xorg/modules/libfb.so
(II) Module fb: vendor="X.Org Foundation"
 compiled for 1.7.6, module version = 1.0.0
 ABI class: X.Org ANSI C Emulation, version 0.4
(II) UnloadModule: "vesa"
(II) Unloading /usr/lib/xorg/modules/drivers/vesa_drv.so
(II) UnloadModule: "fbdev"
(II) Unloading /usr/lib/xorg/modules/drivers/fbdev_drv.so
(II) UnloadModule: "fbdevhw"
(II) Unloading /usr/lib/xorg/modules/linux/libfbdevhw.so
(==) Depth 24 pixmap format is 32 bpp
(II) intel(0): [DRI2] Setup complete
(**) intel(0): Framebuffer compression disabled
(**) intel(0): Tiling enabled
(**) intel(0): SwapBuffers wait enabled
(==) intel(0): VideoRam: 262144 KB
(II) intel(0): Attempting memory allocation with tiled buffers.
(II) intel(0): Tiled allocation successful.
(II) UXA(0): Driver registered support for the following operations:
(II) solid
(II) copy
(II) composite (RENDER acceleration)
(==) intel(0): Backing store disabled
(==) intel(0): Silken mouse enabled
(II) intel(0): Initializing HW Cursor
(II) intel(0): No memory allocations
Fatal server error:
Failed to submit batchbuffer: Input/output error
Please consult the The X.Org Foundation support
  at http://wiki.x.org
 for help.
Please also check the log file at "/var/log/Xorg.0.log" for additional information.
 ddxSigGiveUp: Closing log

My Kern.log file is __________________________________________________

May 15 00:36:59 xxxxxx kernel: [ 5708.532007] [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung
May 15 00:36:59 xxxxxx kernel: [ 5708.532015] render error detected, EIR: 0x00000000
May 15 00:36:59 xxxxxx kernel: [ 5708.532027] [drm:i915_do_wait_request] *ERROR* i915_do_wait_request returns -5 (awaiting 2385042 at 2385041)
May 15 00:36:59 xxxxxx kernel: [ 5708.532034] [drm:i915_gem_do_execbuffer] *ERROR* Failed to pin buffer 1 of 13, total 33898496 bytes: -5
May 15 00:36:59 xxxxxx kernel: [ 5708.532039] [drm:i915_gem_do_execbuffer] *ERROR* 495 objects [5 pinned], 205295616 object bytes [25210880 pinned], 104615936/260308992 gtt bytes

Florian Reinhard (freinhard) wrote :

the crash can be reproduced quite easily here. just fire up gwenview, browse your photos and as soon as you hit a video it crashes. i guess any other video application does the trick too.

Bryce Harrington (bryce) on 2010-05-21
tags: added: hardy
dl9sau (thomas-x-berg) wrote :

This bugs affects me also.
Yesterday and today.

Linux tomate 2.6.32-22-generic #33-Ubuntu SMP Wed Apr 28 13:28:05 UTC 2010 x86_64 GNU/Linux
Lucid. 64bit.

Same graphic chip:
00:02.0 VGA compatible controller: Intel Corporation Mobile 945GM/GMS, 943/940GML Express Integrated Graphics Controller (rev 03)
        Subsystem: Samsung Electronics Co Ltd Device c504
        Flags: bus master, fast devsel, latency 0, IRQ 16
        Memory at d8100000 (32-bit, non-prefetchable) [size=512K]
        I/O ports at 1800 [size=8]
        Memory at c0000000 (32-bit, prefetchable) [size=256M]
        Memory at d8200000 (32-bit, non-prefetchable) [size=256K]
        Capabilities: <access denied>
        Kernel driver in use: i915
        Kernel modules: i915

===================

Last words of the dying xorg server:

Fatal server error:
Failed to submit batchbuffer: Input/output error

Please consult the The X.Org Foundation support
         at http://wiki.x.org
 for help.
Please also check the log file at "/var/log/Xorg.0.log" for additional information.

 ddxSigGiveUp: Closing log

00:02.1 Display controller: Intel Corporation Mobile 945GM/GMS/GME, 943/940GML Express Integrated Graphics Controller (rev 03)
        Subsystem: Samsung Electronics Co Ltd Device c504
        Flags: fast devsel
        Memory at d8180000 (32-bit, non-prefetchable) [size=512K]
        Capabilities: <access denied>

===================

History: X11 server was stable on karmic and in the first weeks of lucid. It happened yesterday and today. Probably due to reboot after a new kernel. X11 was unusable with this graphic chip in jaunty. It was really stable in intrepid and before. Since karmic, there are refresh errors: textlines become garbage; sometimes they disappear completely - you'll recognize, as soon as you don't understand context of the text you read anymore ;)

The issue appears also on my HP Mini 210:

00:02.0 VGA compatible controller: Intel Corporation N10 Family Integrated Graphics Controller
 Subsystem: Hewlett-Packard Company Device 3660
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
 Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 0
 Interrupt: pin A routed to IRQ 28
 Region 0: Memory at 58180000 (32-bit, non-prefetchable) [size=512K]
 Region 1: I/O ports at 60c0 [size=8]
 Region 2: Memory at 40000000 (32-bit, prefetchable) [size=256M]
 Region 3: Memory at 58000000 (32-bit, non-prefetchable) [size=1M]
 Capabilities: <access denied>
 Kernel driver in use: i915
 Kernel modules: i915

I am running a fully patched (as of Wed 02 June 2010) Lucid.
A full system reboot seems to be the only workaround.

The problem does not seem to be related to standby.
It may occur at any time while the system is being used.

tomato paste (tomatopa) wrote :

Not sure if my bug belongs as part of #507504 or #555573 - posting it both places.
I can reproduce the 'Hangcheck timer elapsed... GPU hung' message and crash easily and reliably.
also getting the
 .. drm:i915_gem_idle] *ERROR* hardware wedged messages in the kern.log file
Environment : fresh install of 10.04 LTS, intel 915 video.

To make the crash happen :
Go to system->preferences->screen saver and select 'ant spotlight'
or 'GL Slideshow'. This PC will crash within 3 seconds reliably, over& over, as many times as I try.

To make crashes much less frequent :
Same menu, quickly before the ant starts revolving, select 'gl matrix' Floating Ubuntu or hyper-torus for the saver.
Crashes will still happen, just not constantly
anyway, an easy reproducable way to cause a crash may be helpful to somebody.

lspci says :
lspci
00:00.0 Host bridge: Intel Corporation 82845G/GL[Brookdale-G]/GE/PE DRAM Controller/Host-Hub Interface (rev 01)
00:02.0 VGA compatible controller: Intel Corporation 82845G/GL[Brookdale-G]/GE Chipset Integrated Graphics Device (rev 01)
00:1d.0 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #1 (rev 01)
00:1d.1 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #2 (rev 01)
00:1d.2 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #3 (rev 01)
00:1d.7 USB Controller: Intel Corporation 82801DB/DBM (ICH4/ICH4-M) USB2 EHCI Controller (rev 01)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev 81)
00:1f.0 ISA bridge: Intel Corporation 82801DB/DBL (ICH4/ICH4-L) LPC Interface Bridge (rev 01)
00:1f.1 IDE interface: Intel Corporation 82801DB (ICH4) IDE Controller (rev 01)
00:1f.3 SMBus: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) SMBus Controller (rev 01)
00:1f.5 Multimedia audio controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) AC'97 Audio Controller (rev 01)
05:08.0 Ethernet controller: Intel Corporation 82801DB PRO/100 VM (LOM) Ethernet Controller (rev 81)

uname -a says :
Linux pete-desktop 2.6.32-22-generic #36-Ubuntu SMP Thu Jun 3 22:02:19 UTC 2010 i686 GNU/Linux

Same issue here. Also got the messages in kern.log. Files are attached

ThomasG (tgeppert) wrote :

Same issue here on a Samsung X05. Usually crashes when trying to play a video in VLC or Totem Movie Player.

kern.log and Xorg.0.log attached.

ThomasG (tgeppert) wrote :

Xorg.0.log

Jonathan Hudson (jh+lpd) wrote :

As a data point, since adding the x-swat repository (deb http://ppa.launchpad.net/ubuntu-x-swat/x-updates/ubuntu lucid main) some 3 weeks ago, I no longer see any of the "GPU hung" messages (or indeed, any other X errors) --- eeepc 901, lucid.

-jh

mattsl (matts-lindstrom) wrote :

I experience similar problems with i915. Random crashes occur with "gpu hung" and batchbuffer errors. This has happened 3-4 times, within three days, since installing Lucid. I've not been able to reproduce the crash; attaching logs.

angus73 (andrea-vai) wrote :

Also affects my lucid on an acer travelmate laptop, when I try to play an mpeg video file.
Logs attached.

angus73 (andrea-vai) wrote :

Xorg log

dl9sau (thomas-x-berg) wrote :

This bug happend yesterday again. The third time.
This time I was just typing, into a gnome-terminal - and zonnnnk! X11 died. Console. Unhappy.

John Baptist (jepst79) wrote :

I experience this crash only after restore from suspend-to-disk. Does that correspond to anyone else's experience?

Giichi Mizoguchi (mizoguti) wrote :

It appeared when I close many tabs by Ctrl-W in Chrome web browser.

francesco bat (nerobat2004) wrote :

Yes !
I think to have same problem.
Some day ago i had put my old hard disk with Ubuntu 10.04 in my new pc Asus with cpu intel dual core.
In the first time i had problems to access in Ubuntu for graphic card, but it were configured for old Nvidia.
I insert line in xorg "vesa" in device and i deleted "nvidia".
I removed Nvidia from Synaptic and now it works.
But in standby, some time it crash.
I thought i had wrong something.
Now this bug is clear.
From registry of Xserver i have seen this error:

"Fatal Server Error: failed to submit batchbuffer: input/output error".

Bye
Francesco bat

b52 (b52-entrap) wrote :

My system crashes every time the monitor goes in standby. I am using Xubuntu and tried to deactivate any power saving options without success. This heavy bug makes me rebooting every day *g*

Kernel 2.6.32-24-generic #38-Ubuntu SMP Mon Jul 5 09:22:14 UTC 2010 i686 GNU/Linux

Is anyone working on this? Or is there a workaround available? Thanks

ken78724 (koymkg) wrote :
Download full text (13.9 KiB)

With a build released Jul 21, 2010 today 8-5-10 @ 18:22 I had a batchbuffer: Input/output error
 on my PC; with KubuntuStudio 10.04.1. Upon notice an update awaited me about 8 AM I updated, shut down and at 6 PM edited a document created with OO 3.2; walked away and returned to a black screen and notice of a fatal error. I did a $xorg_backup_file document. The file is given below.
X.Org X Server 1.7.6

Release Date: 2010-03-17

X Protocol Version 11, Revision 0

Build Operating System: Linux 2.6.24-27-server x86_64 Ubuntu

Current Operating System: Linux Kproductions 2.6.32-24-generic #39-Ubuntu SMP Wed Jul 28 05:14:15 UTC 2010 x86_64

Kernel command line: root=UUID=c3d97030-c966-4676-b2e9-2ad5c108876f ro quiet splash

Build Date: 21 July 2010 01:03:39PM

xorg-server 2:1.7.6-2ubuntu7.3 (For technical support please see http://www.ubuntu.com/support)

Current version of pixman: 0.16.4

 Before reporting problems, check http://wiki.x.org

 to make sure that you have the latest version.

Markers: (--) probed, (**) from config file, (==) default setting,

 (++) from command line, (!!) notice, (II) informational,

 (WW) warning, (EE) error, (NI) not implemented, (??) unknown.

(==) Log file: "/var/log/Xorg.0.log", Time: Thu Aug 5 19:35:27 2010

(==) Using config file: "/etc/X11/xorg.conf"

(==) Using config directory: "/usr/lib/X11/xorg.conf.d"

(==) No Layout section. Using the first Screen section.

(**) |-->Screen "Default Screen" (0)

(**) | |-->Monitor "Configured Monitor"

(**) | |-->Device "Configured Video Device"

(==) Automatically adding devices

(==) Automatically enabling devices

(WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.

 Entry deleted from font path.

(==) FontPath set to:

 /usr/share/fonts/X11/misc,

 /usr/share/fonts/X11/100dpi/:unscaled,

 /usr/share/fonts/X11/75dpi/:unscaled,

 /usr/share/fonts/X11/Type1,

 /usr/share/fonts/X11/100dpi,

 /usr/share/fonts/X11/75dpi,

 /var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,

 built-ins

(==) ModulePath set to "/usr/lib/xorg/extra-modules,/usr/lib/xorg/modules"

(II) The server relies on udev to provide the list of input devices.

 If no devices become available, reconfigure udev or disable AutoAddDevices.

(II) Loader magic: 0x7ca300

(II) Module ABI versions:

 X.Org ANSI C Emulation: 0.4

 X.Org Video Driver: 6.0

 X.Org XInput driver : 7.0

 X.Org Server Extension : 2.0

(--) using VT number 8

(--) PCI:*(0:0:2:0) 8086:2772:1043:817a Intel Corporation 82945G/GZ Integrated Graphics Controller rev 2, Mem @ 0xdfe00000/524288, 0xe0000000/268435456, 0xdfe80000/262144, I/O @ 0x00008800/8

(II) Open ACPI successful (/var/run/acpid.socket)

(II) LoadModule: "extmod"

(II) Loading /usr/lib/xorg/modules/extensions/libextmod.so

(II) Module extmod: vendor="X.Org Foundation"

 compiled for 1.7.6, module version = 1.0.0

 Module class: X.Org Server Extension

 ABI class: X.Org Server Extension, version 2.0

(II) Loading extension MIT-SCREEN-SAVER

(II) Loading extension XFree86-VidModeExtension

(II) Loading extension XFree86-DGA

(II) Loading extension DPMS

(II) Loading extension XVideo

(II) Loading extension XVideo-MotionCompensation

(II) Loading extensi...

ken78724 (koymkg) wrote :

hope there is a pixman work around. Not sure I can competently accomplish the task but I'd like sound to be available after working w/o it since perhaps January 2010.

thanks a million. Kenneth [ken78724]

Alfonso Gonzalez (alfonsog) wrote :

Same problem here. I've had this problem 3 or 4 times in the last 2 weeks... not before.

Robbie Williamson (robbiew) wrote :

can anyone confirm they are seeing this bug on Maverick (10.10)?

m (mm319) wrote :

I am seeing this problem in 10.04 too .. tried mavric but it was at times too slow for my low spec machine, so reverted back to 10.04.1 LTS

Zoubidoo (zoubidoo) wrote :

Bump.

I'm having this issue in up-to-date 10.04 on i386. At the moment X crashes once a day. Please fix asap.

0:02.0 VGA compatible controller: Intel Corporation Mobile 915GM/GMS/910GML Express Graphics Controller (rev 03)

Linux 2.6.32-24-generic #42-Ubuntu SMP Fri Aug 20 14:24:04 UTC 2010 i686 GNU/Linux

$ lsmod |grep i915
i915 285586 2
drm_kms_helper 29297 1 i915
drm 162409 3 i915,drm_kms_helper
i2c_algo_bit 5028 1 i915
intel_agp 24119 2 i915
video 17375 1 i915

ii xserver-xorg-video-intel 2:2.9.1-3ubuntu5 X.Org X server -- Intel i8xx, i9xx display driver

$ tail /var/log/Xorg.1.log
Fatal server error:
Failed to submit batchbuffer: Input/output error
[..]

/var/log/kern.log:
Sep 8 19:52:27 popper kernel: [104130.364025] [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung
Sep 8 19:52:27 popper kernel: [104130.364035] render error detected, EIR: 0x00000000
Sep 8 19:52:27 popper kernel: [104130.364897] [drm:i915_do_wait_request] *ERROR* i915_do_wait_request returns -5 (awaiting 5883302 at 5883295)

lspci -vvnn
00:02.0 VGA compatible controller [0300]: Intel Corporation Mobile 915GM/GMS/910GML Express Graphics Controller [8086:2592] (rev 03)
 Subsystem: Acer Incorporated [ALI] Device [1025:006a]
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 0
 Interrupt: pin A routed to IRQ 16
 Region 0: Memory at b0080000 (32-bit, non-prefetchable) [size=512K]
 Region 1: I/O ports at 1800 [size=8]
 Region 2: Memory at c0000000 (32-bit, prefetchable) [size=256M]
 Region 3: Memory at b0000000 (32-bit, non-prefetchable) [size=256K]
 Capabilities: <access denied>
 Kernel driver in use: i915
 Kernel modules: i915

Peter Bell (peter-bellfamily) wrote :

I installed Maverick backport kernel (2.6.35-20-generic-pae) earlier today, and just an hour later this bug occurred once more!

Zoubidoo (zoubidoo) wrote :

Shouldn't this bug be assigned to someone or reported upstream?

Also, at the top of the bug it says: "Declined for Maverick by Sebastien Bacher" but Peter Bell has observed the bug.

I still have X crashing once a day because of this bug and am forced to reboot because X won't start again. It's like being with an old Windows box again.

Florian Reinhard (freinhard) wrote :

@Zoubidoo you can use the driver from Stefan Glasenhardt's ppa: https://launchpad.net/~glasen/+archive/intel-driver

he builds 2.12 from git and since i use these, i haven't had any X crashes anymore.

Eric Bursley (eric-bursley) wrote :

I followed JH's suggestion to use the x-swat repository, and I haven't had a problem since. It was a good work around for me, and I plan to continue with it until we get an official patch.

Zoubidoo (zoubidoo) wrote :

Thanks for the tip Florian/Eric. I am now running from the ppa. Fingers crossed.

I also experienced this on an Thinkpad X41 tablet laptop. I was just using Thunderbird at the time.

g w (gweasner) wrote :

I've got the intell 82845g/Gl[Brookdale-G]/GE and my system behaves as described herein.

If I play a dvd movie then allow the screen saver to run, crash. I can't restart Xorg. Sometimes it just crashes for no known reason. Sometimes it crashes when after I run a opengl application then if the screen saver kicks off it crashes. It doesn't have to be a gl type screen saver.

I've removed all the nvidia drivers and I'm using intel drivers but I still have the issue.

I've installed drivers from https://launchpad.net/~glasen/+archive/intel-driver but I can then only output resolution in 640xy. I didn't keep it long enough to discover if his update actually stops the problem because I can't use my computer with such a low resolution.

Jon Gwinn (welshgeek) wrote :

I have been experiencing this problem since installing 10.04 Lucid LTS on a Dell Inspiron 530. If I don't use the machine for a period of time, the monitor goes into power save mode and then I get a window telling me that Ubuntu is running in low-resolution graphics mode. If I look at the X log file, I see the "Failed to submit batchbuffer: input/output error" message. It is very irritating, because if I choose the option to continue to use low-resolution, it sends me to the login prompt and the state of all the work I was doing is gone. // welshgeek

See Furst (cfurst) wrote :

I just wanted to remind users who use jh's method to add the ppa repository that they may have to add the key: I mean it's definitely need to know if your X won't boot, right?

$ gpg --keyserver subkeys.pgp.net --recv 3B22AB97AF1CDFA9
gpg: requesting key AF1CDFA9 from hkp server subkeys.pgp.net
gpg: key AF1CDFA9: public key "Launchpad PPA for Ubuntu-X" imported
gpg: Total number processed: 1
gpg: imported: 1 (RSA: 1)
$ gpg --export --armor AF1CDFA9 | sudo apt-key add -

Didn't look like anyone was having any trouble but, just in case.

See Furst (cfurst) wrote :

So I tried JH's solution and it didn't work. Just to make sure I'm not skipping a step here's what I did:

1) after initial GPU hang, I logged in via ssh, edited /etc/apt/sources.list
2) added the gpg key
3) sudo apt-get update
4 sudo apt-get upgrade -u
5) restart
6) a few minutes after login, much less time than before, GPU hung again.. This time however I get a different error:

[45381.436034] render error detected, EIR: 0x00000000
[45381.436868] [drm:i915_do_wait_request] *ERROR* i915_do_wait_request returns -5 (awaiting 28917 at 28544)
[45383.488015] [drm:i915_gem_idle] *ERROR* hardware wedged
[45384.613638] [drm:i915_gem_entervt_ioctl] *ERROR* Reenabling wedged hardware, good luck
[45384.972012] [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung

So it looks like it's not the back cache this time.. I think it's because those drivers are nvidia and mine is not?

Marcus Johnson (vi3-game-hkr) wrote :

I think I am having the same problem; seemingly randomly, the screen goes blank then flashes white vertical stripes in the top half of the screen every 3 seconds or so. I've attached output of lspci -vvnn and dmesg as per one of the first posts, as well as Xorg.0.log copied from immediately after the crash via ssh.

biddster (luke-biddell) wrote :

I see this bug almost every time I suspend and resume on an IBM T60 under 10.10. I didn't see it running Lucid. It's painful as I use the laptop at work and suspend/resume on my travels around the building. So I spend a lot of time rebooting (same as when it ran windoze ;-)).

ynedel (ynedel) wrote :

Problems with logging into Ubuntu Linux overnight
When coming in the morning and waking up my monitor I see: “Fatal server error. Failed to submit batchbuffer”. Requires to reboot computer!
Appears to be a known problem in Linux community. Not resolved yet for Ubuntu distro (10.04 LTS).
To my mind, it happens when display/video card goes to sleep (30min set in Power Management application) and video card is still getting data from the screensaver.
Not any screensaver causes the problem, but only OpenGLText so far. I think, this particular saver uses hardware graphic accelerator while other OpenGL images do not.
So, to fix this either do not use OpenGLText screensaver neither use any other that may work with h/w accelerator or
never put display asleep in the Power Management.

bugbot (bugbot) on 2011-04-27
description: updated
abhishek (abhi4u46) wrote :

i am also having this kind of problem......
mostly it hangs when browsing or when screen is locked.......
here is my question............

https://answers.launchpad.net/ubuntu/+question/160416

Changed in xserver-xorg-video-intel (Ubuntu Lucid):
status: New → Confirmed
Oli Wade (olithered) wrote :

Also seen on Lenovo S10-3 running 10.04:
====
i@lion:~$ uname -a
Linux lion 2.6.32-32-generic #62-Ubuntu SMP Wed Apr 20 21:54:21 UTC 2011 i686 GNU/Linux
i@lion:~$ lspci
00:00.0 Host bridge: Intel Corporation N10 Family DMI Bridge
00:02.0 VGA compatible controller: Intel Corporation N10 Family Integrated Graphics Controller
00:02.1 Display controller: Intel Corporation N10 Family Integrated Graphics Controller
00:1b.0 Audio device: Intel Corporation N10/ICH 7 Family High Definition Audio Controller (rev 02)
00:1c.0 PCI bridge: Intel Corporation N10/ICH 7 Family PCI Express Port 1 (rev 02)
00:1c.2 PCI bridge: Intel Corporation N10/ICH 7 Family PCI Express Port 3 (rev 02)
00:1d.0 USB Controller: Intel Corporation N10/ICH7 Family USB UHCI Controller #1 (rev 02)
00:1d.1 USB Controller: Intel Corporation N10/ICH 7 Family USB UHCI Controller #2 (rev 02)
00:1d.2 USB Controller: Intel Corporation N10/ICH 7 Family USB UHCI Controller #3 (rev 02)
00:1d.3 USB Controller: Intel Corporation N10/ICH 7 Family USB UHCI Controller #4 (rev 02)
00:1d.7 USB Controller: Intel Corporation N10/ICH 7 Family USB2 EHCI Controller (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev e2)
00:1f.0 ISA bridge: Intel Corporation NM10 Family LPC Controller (rev 02)
00:1f.2 SATA controller: Intel Corporation N10/ICH7 Family SATA AHCI Controller (rev 02)
00:1f.3 SMBus: Intel Corporation N10/ICH 7 Family SMBus Controller (rev 02)
05:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8101E/RTL8102E PCI Express Fast Ethernet controller (rev 02)
09:00.0 Network controller: Atheros Communications Inc. AR9285 Wireless Network Adapter (PCI-Express) (rev 01)
====

Shaman (lucianofantuzzi) wrote :

same here (my prob was after "s2disk" cmd). totally fixed after adding https://launchpad.net/~glasen/+archive/intel-driver thanks guys!

Zoubidoo (zoubidoo) wrote :

This bug was reported on 2010-04-05 and as of January 2012 it's still not fixed.

It's still unassigned and not linked to any upstream bugs.

At least 60 other people are observing the problem. Hardly a rare bug.

In my particular case the system became so unstable with X server hangs that it forced me to change to a non-LTS release.

Anyway this kind of thing shouldn't be happening - it makes ubuntu look unstable. Think of all those people who have the problem but are unable to track down this bug report.

In future it's probably best to say this hardware is not supported.

Bryce Harrington (bryce) wrote :

The problem is this is a generic error message.

A "batchbuffer" is basically just a chunk of graphics data, which gets sent to the kernel graphics processing unit (GPU). X will submit these chunks to the data for display. X sets a timer to check back for if this data was taken and processed by the kernel. If the kernel doesn't handle it within that amount of time, X concludes that the kernel has gone to lunch. In other words, it decides the GPU is hung since the hang check timer has expired. That's why you see these kinds of error messages:

  Hangcheck timer elapsed... GPU hung

It just means something broke in the kernel, and X doesn't know what to do.

Messages about 'hardware wedged', 'GPU lockup', and 'failed to submit batchbuffer' all mean the same thing. In all these cases, the GPU has hung due to some flaw in the kernel's intel drm driver.

And just as there can be many ways to crash a car, there can be myriad ways to lockup a GPU. The error messages are generic, and don't really tell *why* the crash happened. Indeed, those 60 different people could be seeing 60 completely different root bugs. (Well, probably not, but it's likely to be a variety.)

The bad news is that these GPU lockups were relatively common in Lucid, and kernel tools for analyzing them were in their infancy. In other words, there are not ways to get useful debugging information on these, without a TON of work.

The good news is that over the last couple years Intel has added a number of useful tools and processes for isolating and solving these kinds of bugs. And doubly good is that they've utilized those tools to solve a vast number of known GPU lockup issues, such that in Oneiric and Precise, GPU lockups on -intel are a lot less common.

So, if you are just looking for a workaround, I would suggest installing a newer kernel. We also have newer X drivers and newer mesa drivers, which sometimes can help - see the x-updates PPA, xorg-edgers, or other PPAs with newer drivers.

On the other hand, if you're looking to help us improve Lucid itself, the steps that need to be taken are to do a git bisect on the kernel (or mesa or the -intel DDX) and isolate what git commit id marks the change between broken and fixed. With that info, we can consider an SRU of the patch to Lucid.

Meanwhile, I will move this bug to the kernel team. Since GPU lockups are generally due to bugs in linux intel drm, that is the right place for these kinds of bug reports.

affects: xserver-xorg-video-intel (Ubuntu) → linux (Ubuntu)
Changed in linux (Ubuntu):
status: Confirmed → New
summary: [g41] GPU hung: Failed to submit batchbuffer: Input/output error
+ [lucid]
Brad Figg (brad-figg) on 2012-02-02
Changed in linux (Ubuntu):
status: New → Confirmed
tags: removed: crash
tags: added: needs-upstream-testing
removed: needs-lspci-vvnn needs-xorglog

Holger Mauermann, this bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? Can you try with the latest development release of Ubuntu? ISO CD images are available from http://cdimage.ubuntu.com/releases/ .

If it remains an issue, could you run the following command in the development release from a Terminal (Applications->Accessories->Terminal). It will automatically gather and attach updated debug information to this report.

apport-collect -p linux <replace-with-bug-number>

Also, if you could test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please do not test the kernel in the daily folder, but the one all the way at the bottom. Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. As well, please comment on which kernel version specifically you tested.

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream', and comment as to why specifically you were unable to test it.

Please let us know your results. Thanks in advance.

tags: added: needs-kernel-logs
Changed in linux (Ubuntu):
status: Confirmed → Incomplete

Pieter, please stop marking this a duplicate of bug 946899.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.